#include "stdtst.h"
#include "tsutil.h"
#include <gpib.h>
#include <NIDAQmx.h>

//////////////////////////////////////////
void __declspec(dllexport) __stdcall simple_GPIB(long *gpib_address, 
			char gpib_command[100], char gpib_measurement[100])
{
	int Dev1 = 0;
		
//	Dev1 = ibdev (0, 26, NO_SAD, T10s, 1, 0);
	Dev1 = ibdev (0, *gpib_address, NO_SAD, T10s, 1, 0);
//	ibwrt (Dev1, "*IDN?", strlen("*IDN?"));
	ibwrt (Dev1, gpib_command, strlen(gpib_command));
	ibrd (Dev1, gpib_measurement, 100);
	ibonl (Dev1, 1);
}
//////////////////////////////////////////
void __declspec(dllexport) __stdcall simple_DAQ(char daq_channel[100], 
										double *daq_measurement)
{
	TaskHandle task=0;

	DAQmxCreateTask ("", &task);
//	DAQmxCreateAIVoltageChan (task, "Dev1/ai0", "", DAQmx_Val_Cfg_Default, 
//			-10.0, 10.0, DAQmx_Val_Volts, "");
	DAQmxCreateAIVoltageChan (task, daq_channel, "", DAQmx_Val_Cfg_Default, 
			-10.0, 10.0, DAQmx_Val_Volts, "");
	DAQmxReadAnalogScalarF64 (task, 10.0, daq_measurement, 0);
	DAQmxClearTask (task);
}
